Subject: Re: IPv6 FIB related crash with MACVLANs in 3.9.11+ kernel.

From: Hannes Frederic Sowa <[email-masked]>
Date: Mon, 29 Sep 2014 21:03:19 +0200

On Mo, 2014-09-29 at 11:44 -0700, Ben Greear wrote:
> On 09/29/2014 11:15 AM, Hongmei Li wrote:
> > Thanks Hannes for your prompt response!
> > 
> > We just encountered this issue two times in our product stability test so far,
> > and my panic backtrace is the exactly same with the one reported here.
> > I don't know how to reproduce the issue till now. 
> > I tried several method, unfortunately, I can not reproduce it by myself. :(
> 
> We could reproduce it easily using our user-space tool that creates 1000
> mac-vlans, configures them, dumps routing tables, etc.  But, we could
> only reproduce it when we had the ixgbe ports unplugged.  If they
> were properly connected to a switch, we did not see any crashes.
> 
> My original email on 2/3/2014 has more details, and the thread that
> follows has some info on debugging we did at the time.

I just tried to reproduce the problem, disabling the port on a switch
and setting up 1000 macvlans on a ixgbe, enabling ipv6 and dumping
routing tables. Unluckily I had no success. :(

Any more hints?

Bye,
Hannes